<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_151) on Sat Jun 15 11:41:18 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Stroke</title>
<meta name="date" content="2019-06-15">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Stroke";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/playground/drawingar/model/Ray.html" title="class in com.playground.drawingar.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/playground/drawingar/model/Stroke.html" target="_top">Frames</a></li>
<li><a href="Stroke.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.playground.drawingar.model</div>
<h2 title="Class Stroke" class="title">Class Stroke</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.playground.drawingar.model.Stroke</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Stroke</span>
extends java.lang.Object</pre>
<div class="block">Представление линии.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../com/playground/drawingar/BiquadFilter.html" title="class in com.playground.drawingar">BiquadFilter</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/model/Stroke.html#biquadFilter">biquadFilter</a></span></code>
<div class="block">Биквадрический фильтр.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/model/Stroke.html#finished">finished</a></span></code>
<div class="block">Линия нарисована.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/model/Stroke.html#lineColor">lineColor</a></span></code>
<div class="block">Цвет линии.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/model/Stroke.html#lineWidth">lineWidth</a></span></code>
<div class="block">Толшина линии.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;javax.vecmath.Vector3f&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/model/Stroke.html#points">points</a></span></code>
<div class="block">Список точек, из которых состоит луч.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/model/Stroke.html#totalLength">totalLength</a></span></code>
<div class="block">Длина линии.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/model/Stroke.html#Stroke-int-">Stroke</a></span>(int&nbsp;lineColor)</code>
<div class="block">Конструктор - создание новой линии.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/model/Stroke.html#add-javax.vecmath.Vector3f-">add</a></span>(javax.vecmath.Vector3f&nbsp;point)</code>
<div class="block">Добавляет точке в линию.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>private float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/model/Stroke.html#calculateAngle-int-">calculateAngle</a></span>(int&nbsp;index)</code>
<div class="block">Возвращает поворота точки.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/model/Stroke.html#calculateTotalLength--">calculateTotalLength</a></span>()</code>
<div class="block">Вычисляет длину линии.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/playground/drawingar/model/Stroke.html" title="class in com.playground.drawingar.model">Stroke</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/model/Stroke.html#copy--">copy</a></span>()</code>
<div class="block">Скопировать линию.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/model/Stroke.html#finishStroke--">finishStroke</a></span>()</code>
<div class="block">Заканчивает создание линии.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>javax.vecmath.Vector3f</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/model/Stroke.html#get-int-">get</a></span>(int&nbsp;index)</code>
<div class="block">Возвращает вектор с координатами точки линии по индексу.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/model/Stroke.html#getLineColor--">getLineColor</a></span>()</code>
<div class="block">Возвращает цвет линии.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/model/Stroke.html#getLineWidth--">getLineWidth</a></span>()</code>
<div class="block">Возвращает толщину линии.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.util.List&lt;javax.vecmath.Vector3f&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/model/Stroke.html#getPoints--">getPoints</a></span>()</code>
<div class="block">Возвращает список точек линии.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/model/Stroke.html#setLineWidth-float-">setLineWidth</a></span>(float&nbsp;lineWidth)</code>
<div class="block">Устанавливает толщину линии.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/model/Stroke.html#size--">size</a></span>()</code>
<div class="block">Возвращает количество точек линии.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/model/Stroke.html#subdivideSection-int-float-int-">subdivideSection</a></span>(int&nbsp;s,
                float&nbsp;maxAngle,
                int&nbsp;iteration)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="points">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>points</h4>
<pre>private&nbsp;java.util.ArrayList&lt;javax.vecmath.Vector3f&gt; points</pre>
<div class="block">Список точек, из которых состоит луч.</div>
</li>
</ul>
<a name="lineWidth">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lineWidth</h4>
<pre>private&nbsp;float lineWidth</pre>
<div class="block">Толшина линии.</div>
</li>
</ul>
<a name="lineColor">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lineColor</h4>
<pre>private&nbsp;int lineColor</pre>
<div class="block">Цвет линии.</div>
</li>
</ul>
<a name="biquadFilter">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>biquadFilter</h4>
<pre>private&nbsp;<a href="../../../../com/playground/drawingar/BiquadFilter.html" title="class in com.playground.drawingar">BiquadFilter</a> biquadFilter</pre>
<div class="block">Биквадрический фильтр.</div>
</li>
</ul>
<a name="totalLength">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>totalLength</h4>
<pre>public&nbsp;float totalLength</pre>
<div class="block">Длина линии.</div>
</li>
</ul>
<a name="finished">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>finished</h4>
<pre>public&nbsp;boolean finished</pre>
<div class="block">Линия нарисована.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Stroke-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Stroke</h4>
<pre>public&nbsp;Stroke(int&nbsp;lineColor)</pre>
<div class="block">Конструктор - создание новой линии.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lineColor</code> - Цвет линии.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="add-javax.vecmath.Vector3f-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>public&nbsp;void&nbsp;add(javax.vecmath.Vector3f&nbsp;point)</pre>
<div class="block">Добавляет точке в линию.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>point</code> - Точка, которую нужно добавить в линию</dd>
</dl>
</li>
</ul>
<a name="finishStroke--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>finishStroke</h4>
<pre>public&nbsp;void&nbsp;finishStroke()</pre>
<div class="block">Заканчивает создание линии.</div>
</li>
</ul>
<a name="calculateAngle-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculateAngle</h4>
<pre>private&nbsp;float&nbsp;calculateAngle(int&nbsp;index)</pre>
<div class="block">Возвращает поворота точки.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - Индекс точки в списке точек.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Угол поворота.</dd>
</dl>
</li>
</ul>
<a name="calculateTotalLength--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculateTotalLength</h4>
<pre>public&nbsp;void&nbsp;calculateTotalLength()</pre>
<div class="block">Вычисляет длину линии.</div>
</li>
</ul>
<a name="subdivideSection-int-float-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>subdivideSection</h4>
<pre>private&nbsp;void&nbsp;subdivideSection(int&nbsp;s,
                              float&nbsp;maxAngle,
                              int&nbsp;iteration)</pre>
</li>
</ul>
<a name="get-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get</h4>
<pre>public&nbsp;javax.vecmath.Vector3f&nbsp;get(int&nbsp;index)</pre>
<div class="block">Возвращает вектор с координатами точки линии по индексу.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - Индекс нужной точки.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Вектор с координатами точки.</dd>
</dl>
</li>
</ul>
<a name="size--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>size</h4>
<pre>public&nbsp;int&nbsp;size()</pre>
<div class="block">Возвращает количество точек линии.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Количество точек линии.</dd>
</dl>
</li>
</ul>
<a name="getPoints--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPoints</h4>
<pre>public&nbsp;java.util.List&lt;javax.vecmath.Vector3f&gt;&nbsp;getPoints()</pre>
<div class="block">Возвращает список точек линии.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Список точек линии.</dd>
</dl>
</li>
</ul>
<a name="getLineWidth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLineWidth</h4>
<pre>public&nbsp;float&nbsp;getLineWidth()</pre>
<div class="block">Возвращает толщину линии.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Толщина линии.</dd>
</dl>
</li>
</ul>
<a name="getLineColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLineColor</h4>
<pre>public&nbsp;int&nbsp;getLineColor()</pre>
<div class="block">Возвращает цвет линии.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Цвет линии.</dd>
</dl>
</li>
</ul>
<a name="setLineWidth-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLineWidth</h4>
<pre>public&nbsp;void&nbsp;setLineWidth(float&nbsp;lineWidth)</pre>
<div class="block">Устанавливает толщину линии.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lineWidth</code> - толщина линии</dd>
</dl>
</li>
</ul>
<a name="copy--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>copy</h4>
<pre>public&nbsp;<a href="../../../../com/playground/drawingar/model/Stroke.html" title="class in com.playground.drawingar.model">Stroke</a>&nbsp;copy()</pre>
<div class="block">Скопировать линию.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Линия, которую нужно скопировать.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/playground/drawingar/model/Ray.html" title="class in com.playground.drawingar.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/playground/drawingar/model/Stroke.html" target="_top">Frames</a></li>
<li><a href="Stroke.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
